﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using fichier1.Model;
using fichier1.Views;
using fichier1.Controllers;

namespace fichier1
{
    public partial class MainForm : Form, IObserver<Partie>
    {
        private Partie game;
        private IGameController ctrl;

        public MainForm()
        {
            InitializeComponent();

            this.game = new Partie();
            this.ctrl = new GameController(this.game);
        }

        public void OnCompleted()
        {
            pnlContent.Controls.Clear();
            pnlContent.Controls.Add(new ViewResultats(this.ctrl));
        }

        public void OnError(Exception error)
        {
            throw new NotImplementedException();
        }

        public void OnNext(Partie value)
        {
            pnlContent.Controls.Clear();
            pnlContent.Controls.Add(new ViewDecoupage(ctrl));
        }
    }
}
