﻿using fichier1.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace fichier1.Model
{
    public class Partie : IObservable<MainForm>
    {
        private  List<string[]> correction;
        private List<string[]> decoupage;
        private int motCourant;
        private readonly BddContext context;

        public Partie(int nbMots, float complexite, BddContext context)
        {
            this.context = context;
        }

        public void genererMots(int nb, float complexite)
        {
            correction = new List<string[]>();

            Random rnd = new Random();

            Prefixe[] prefixe = context.Prefixes.ToArray();
            Radical[] radical = context.Radicals.ToArray();
            Suffixe[] suffixe = context.Suffixes.ToArray();

            for(int i = 0; i < nb; i++)
            {
                string[] mot = new string[3];
                mot[0] = prefixe[rnd.Next(0, prefixe.Length)].Pre;
                mot[1] = radical[rnd.Next(0, radical.Length)].Rad;
                mot[2] = suffixe[rnd.Next(0, suffixe.Length)].Suf;

                correction.Add(mot);
            }
        }

        public void formaterPropositions()
        {

        }

        public string[] getMot(int nb)
        {
            return null;
        }

        public void setMot(int nb, string[] mot)
        {

        }

        public int compterPoints()
        {
            return 0;
        }

        public string[] getCorrection(int nb)
        {
            return null;
        }

        public string[] getMotCourant()
        {
            return null;
        }

        public void validerMotCourant(string[] mot)
        {

        }

        public IDisposable Subscribe(IObserver<MainForm> observer)
        {
            throw new NotImplementedException();
        }
    }
}
